> For the complete documentation index, see [llms.txt](https://docs.knn3.xyz/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.knn3.xyz/graphql/categories/bond.md).

# Bond

The Bond relationship brings together data from web2 and web3. On the web3 side, DIDs are a decentralized, verifiable digital identifier, and DIDs data are primarily derived from .bits and nextid. On the web2 side, Twitter is the most pioneering and influential Internet headline company connecting Web2 and Web3, and Bond data is integrated with Twitter's data.

**DIDs**

DIDs Decentralized identifiers (DIDs) are a type of identifier that enables verifiable, decentralized digital identity. Through KNN3 DID api, you can query the information bound to different DIDs.&#x20;

**Avatars**&#x20;

Avatars are the relational data of nextID, you can access the EOA address bound to the avatar and the inclusion relationship of the Twitter handle through the interface.

### **Bits  ——  EOA**

Bits are the relational data of .bit, and you can access the address relationship bound to .bit through the interface.The Bond API supports bidirectional parsing between Bits and EOAs.

Please notice: Addrs is the EVM address by default in KNN3 Network, Addrs\_Tron represents TRON account address.

* View address bound .bit

```graphql
{
  addrs{
    address
    bitsInclude{
      account
    }
  }
}
```

* View the .bit binding address

```json
{
  bits{
    includeAddrs{
      address
    }
  }
}
```

**Explanation:** The number of nft holders from result may indicate whether this project is hot and widely known. And the addresses here can also be considered to be the potential participants if a new nft project is similar with this one.

### **Avatars  ——  EOA** &#x20;

Avatars are the relational data of nextID, you can access the EOA address bound to the avatar and the inclusion relationship of the Twitter handle through the interface.

* View address bound avatars

```graphql
{
  addrs{
    avatarsInclude{
      id
    }
  }
}
```

* View avatars bound addresses

```
{
  avatars{
    includeAddrs{
      address
    }
  }
```

### **Avatars  ——  Twitter**

The relationship between Web2 web3 can also be easily queried. avatar is the relationship data of nextID, and avatars and Twitter handles can be resolved in both directions through the interface.

* View avatars bound to twitter

```
{
  avatars{
    includeTwitters{
      uid
      handle
    }
  }
}
```

* View twitter bound avatars

```
{
   twitters{
      avatarsInclude{
        id
      }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.knn3.xyz/graphql/categories/bond.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
